Subject: Re: bug#71763: [PATCH] Inconsistency in bitmap overlay drawing for macOS
From: Eli Zaretskii <[email-masked]>
To: Gerd Möllmann <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 02 Nov 2024 13:18:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Gerd Möllmann <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 30 Oct 2024 08:11:17 +0100
> 
> Daniel Pettersson <[email-masked]> writes:
> 
> > Gerd Möllmann <[email-masked]> writes:
> >
> >> If I read the diff correctly, this puts the clearing under the bitmap in
> >> an if-statement so that it is only done if we do not draw intentionally
> >> on top something drawn before.
> >
> >> Right, Daniel?
> >
> > Yup, w/o this we clear fringe on draw when I we should keep it intact
> > and draw over.
> >
> > The only example I found and the reason for this fix is that we clear
> > fringe of overlays before drawing overlay-arrow.  Such that breakpoint
> > bitmap is removed when overlay-arrow is on the same line in gdb-mi.el.
> 
> >From my POV, it could be installed. Eli will decide that.

OK, thanks.  I installed this on the master branch, and I'm closing
this bug.